\section{Authentication Protocols}
\includegraphics[width=0.75\linewidth]{AAA}
\subsection{Authenthication Schemes}
\begin{description}
  \item[A1 . Basic Authentication]\hfill \\
	Classical username / password pair transmitted in the clear. Should only be used encrypted.
  \item[A2. One Time Passwords]\hfill \\
  Transmitted in the clear but used only once. Not that cheap to implement.
  \item[A3. Challenge / Response]\hfill \\
  Response is a function of password and one-time challenge. 
	How does it work? Kerberos as an example (Windows Active Directory). 
  \item[A4. Anonymous Key Exchange]\hfill \\
  Exchange credentials over unauthenticated secure channel 
  \item[A5. Zero-Knowledge Password Proofs]\hfill \\
  Does not permit offline-based password attacks 
  \item[A6. Server Certificates plus User Authentication]
  Transmit user password over unilaterally authenticated secure channel 
  \item[A7. Mutual Public Key Authentication]\hfill \\
  Bilateral use of public key signatures
\end{description}
\subsubsection{A3 Challenge response Protocols}
Server sends the Challenge to the One Way Function and Otto sends the password to answer the challenge. We don't expose the password in this schemata. Doesn't protect from MITM.  \\
\includegraphics[width=0.5\linewidth]{a3}
\includegraphics[width=0.5\linewidth]{challengeresponse}
\subsection{Kerberos - Key Distribution System}
 Developed in 1983 as part of MIT's Athena project. Relies on the mediation services of a trusted referee or notary. Based on the work by Needham and Schroeder on trusted third-party protocols as well as Denning and Sacco's modifications of these. Current release is Kerberos v5  (RFC 1510, September 1993).
 \subsubsection{Mediated Authentication by means of a Key Distribution Center (KDC)}
 \includegraphics[width=0.5\linewidth]{kdc}
 \subsubsection{Kerberos Ticket}
 Each Kerberos participant (Alice, Bob, etc.) – called a Principal – shares a common secret with the Key Distribution Center (KDC) – the Principal’s Master Key. Each secured communication or secured access is "mediated" by means of a Kerberos Ticket. (symmetric) \\
\includegraphics[width=0.5\linewidth]{kerberosticket} \\
Kerberos Protocol – Authentication Service Session Key and Ticket-Granting Ticket (TGT). \\
\includegraphics[width=0.5\linewidth]{kerberostgt} 
Request a ticket to access server bob. \\
\includegraphics[width=0.5\linewidth]{kerberostgt2} 
Access server bob. \\
\includegraphics[width=0.5\linewidth]{kerberostgt3} 
\subsubsection{KDC Replication}
\includegraphics[width=0.5\linewidth]{kdcrep} 
\subsubsection{Inter-Realm Authentication}
\includegraphics[width=0.5\linewidth]{interrealm} 
\subsubsection{Summary}
\includegraphics[width=0.5\linewidth]{kerberossum}
\subsection{A4 Anonymous Key Exchange}
\includegraphics[width=0.5\linewidth]{A4} 
\subsection{A5 Zero Knowledge Password Proofs}
\includegraphics[width=0.5\linewidth]{A5} 
\subsubsection{A6 Certificate-based Server Authentication}
\includegraphics[width=0.5\linewidth]{A6} 
\subsubsection{Mutual Public Key Authentication}
%\includegraphics[width=0.5\linewidth]{A7}
%TODO add A7 
\subsection{Summary}
Challenge Response based authentication schemes are the STANDARD authentication mechanisms used by us everyday. For human users,  Windows based authentication (via Active Directory) based on the KERBEROS protocol. For devices, Radius (Remote Authentication Dial-In User Service) is often secured by the Extensible Authentication Protocol, e.g. using TLS or a tunnelled TLS for the authentication part.
 
\includegraphics[width=0.5\linewidth]{authsummary} \\
